#516 closed defect (fixed)

gcc-3.3.x: Doesn't support cross compilation of gnatlib

Reported by: Ralf Corsepius Owned by: Joel Sherrill
Priority: low Milestone: 2
Component: tool Version: unknown
Severity: major Keywords:
Cc: bugs@…, ralf.corsepius@… Blocked By:
Blocking:

Description

gcc-3.3.x's gnatlib uses host-files during compilation.

In particular, it uses gcc/auto-host.h (gcc's autoheader to describe the build-host's characteristics.

Furthermore, while investigating this problem, I came to the conclusion that building gnatlib w/ gcc-3.x < 3.3 probably only succeeds because several bugs compensate each other.

Release:
RTEMS w/ gcc-3.3.x

Change History (5)

comment:1 Changed on Oct 30, 2003 at 8:32:34 AM by Ralf Corsepius

Status: assignedsuspended

comment:2 Changed on Nov 16, 2003 at 8:24:57 PM by Ralf Corsepius

Status: suspendedassigned

comment:3 Changed on Nov 17, 2003 at 2:47:28 PM by Ralf Corsepius

Status: assignedsuspended

comment:4 Changed on Mar 17, 2005 at 2:42:12 PM by Joel Sherrill

Status: suspendedclosed

comment:5 Changed on Mar 18, 2005 at 7:46:23 AM by Ralf Corsepius

From: Ralf Corsepius <ralf.corsepius@…>
To: Joel Sherrill <joel.sherrill@…>
Cc: RTEMS Bugs <bugs@…>, ralf_corsepius@…
Subject: Re: RTEMS Re: tools/516
Date: Fri, 18 Mar 2005 02:46:23 +0100

On Thu, 2005-03-17 at 12:05 -0600, Joel Sherrill wrote:

Ralf Corsepius wrote:

On Thu, 2005-03-17 at 15:42 +0000, RTEMS-gnats@… wrote:

Synopsis: gcc-3.3.x: Doesn't support cross compilation of gnatlib

State-Changed-From-To: suspended->closed
State-Changed-By: joel
State-Changed-When: Thu, 17 Mar 2005 09:42:12 -0600
State-Changed-Why:
Gnat is only going to be supported in ..

gcc 4.0 for the head.

Did you implement it?

I haven't seen any related patches, yet.

No and no one ever is.

I am desperately trying to prevent the gnats database from turning
into a graveyard of things that will never get done. I am haunted
(pun intended) by comments from you when GNATS was initially
setup that a PR system was only useful if it didn't turn into a
graveyard of ignored problems. This one is never going to get
worked on.

GCC 3.3 was never even associated with an RTEMS release branch.

Does suspended mean "we aren't going to work on it ever" or
"deferred until later"?

I meant "suspended" to mean "deferred until later/no ETA", "nobody knows
if/when something will happen"


As far as GNAT/Ada is concerned, I meant "suspended" to mean "Known
problem, there is nothing we can about it, beyond our scope".


Now _you_ are saying "PR closed, Gnat is only going to be supported in
.. gcc 4.0 for the head." ...


With GCC-4.0 knocking at the door, to me this sentence reads as

"GNAT/Ada will be functional and supported with GCC-4.0".


AFAIK, this is not going to be happen, because I know that GCC-4.0 does
not support rtems-ada. So unless you or ACT implemented something, this
sentence to me sounds close to a bold lie.


IMO, the only reasons to close this PR would have been
a) Fixed in GCC-XYZ, supported by RTEMS-GCC-rpms > XXX
b) Ada abandoned in RTEMS


To my knowledge, both is not true.


http://www.rtems.com/cgi-bin/gnatsweb.pl?cmd=view&database=RTEMS&pr=516

Note: See TracTickets for help on using tickets.